/* body{
    min-width: 1850px;   
} */
.pageTop {
    position: relative;
}

.topImg {
    display: block;
    width: 100%;
}

.topBox {
    position: absolute;
    text-align: center;
    z-index: 100;
    color: #fff;
    top: 40%;
    left: 15%;
}

.topTitle {
    font-size: 56px;
}

.topCom {
    font-size: 30px;
    margin: 20px 0;
}

.topTxt {
    position: absolute;
    background: linear-gradient(to right, #0145ff, #42cbff);
    /* 渐变文字颜色 */
    -webkit-background-clip: text;
    color: transparent;
    display: inline-block;
    font-size: 48px;
    top: 90%;
    left: 36%;
}

.topTabWrap {
    display: flex;
    justify-content: center;
}

.topTab {
    padding: 2px 20px;
    background: repeating-linear-gradient(to right, #F6C039, #FD8B33);
    border-radius: 30px;
}

.topTabWrap>.topTab:nth-child(2) {
    margin: 0 20px;
}

/* 顶部盒子 */
.LowBox1 {
    padding: 50px 0;
    overflow: hidden;
    background-color: black;
    padding: 67px 100px 89px;
    box-sizing: border-box;
    width: 100%;
    display: flex;
    justify-content: space-around;
}

.LowLittleBox1 {
    width: 400px;
    background-color: #060d27;
    color: white;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px;
    box-sizing: border-box;
    border-radius: 10%;
    margin: 0 30px;
}

.LowLittleBox2 {
    width: 400px;
    border: 2px solid #204ea8;
    color: white;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px;
    box-sizing: border-box;
    border-radius: 10%;
    margin: 0 30px;
}

.LowBox1 img {
    width: 200px;
    height: auto;
    margin: auto;
    margin-top: 10px;
    margin: 10px 0;

}

.topLittleText {
    line-height: 40px;
    font-size: 18px;
    padding: 0 0 10px 10px;
}


/* 主体 */
.middleBox {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.middleLittleBox {
    width: 100%;
    background-color: black;
    position: relative;
}

.middleLeft {
    width: 50%;
    float: left;
    height: 600px;
    margin-right: -3px;
}

.middleLeft img {
    width: 100%;
    height: 100%;
}

.middleRight {
    width: 50%;
    height: 600px;
    float: left;
}

.blurry-bg,
.Technology-bg {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.blurry-bg img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: right bottom;
    transform: scale(1.3);
    filter: blur(10px);
    opacity: 0.3;
}

.Technology-bg .blurry-iam {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: right bottom;
    transform: scale(1.3);
    filter: blur(10px);
    opacity: 0.3;
}

.text-overlay3 {
    position: absolute;
    top: 8%;
    left: 0;
    width: 100%;
    font-size: 36px;
    font-weight: 400;
    color: #fff;
    text-align: center;
}

.Technology-bg .blurry-iam1 {
    position: absolute;
    top: 20%;
    left: 16%;
    width: 68%;
    height: 65%;
}

.text-overlay {
    position: absolute;
    width: 85%;
    top: 50%;
    left: 30%;
    transform: translate(-30%, -50%);
    color: white;
    font-size: 24px;
    display: flex;
    align-items: flex-start;
}

.text-overlay2 {
    position: absolute;
    width: 85%;
    top: 50%;
    left: 80%;
    transform: translate(-80%, -50%);
    color: white;
    font-size: 24px;
    display: flex;
    align-items: flex-start;
}

.firstP {
    margin-top: -15px;
    color: rgb(243, 129, 33);
    font-size: 60px;
    margin-right: 10px;
}

/* 圆 */
.circle {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    width: 80px;
    height: 80px;
    transition: box-shadow 0.3s ease;
    background-color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.3);
}

.circle:hover {
    transition: box-shadow 0.3s ease;
    box-shadow: 0 0 0 10px rgba(243, 129, 33, 1);
}

.circle .problemImg {
    position: absolute;
    z-index: 100;
    width: 50%;
    height: auto;
}

/* 技术架构 */
.Technology {
    background-color: black;
    width: 100%;
    height: 1200px;
    position: relative;
}

.headWrap {
    display: none;
}

.middleBoxMobile {
    display: none;
}

.TechnologyMobile {
    display: none;
}

/* 移动端适配 */
@media screen and (max-width: 768px) {
    .navbar {
        display: none;
    }

    .headWrap {
        position: fixed;
        top: 0;
        z-index: 1000;
        height: 70px;
        width: 100%;
        display: flex;
        padding: 26px 34px;
        justify-content: space-between;
        align-items: center;
    }

    .muenWrap {
        position: fixed;
        right: 0;
        top: 90px;
        width: 90%;
        height: 450px;
        background-color: rgba(255, 255, 255) !important;
        overflow: hidden;
        overflow-y: auto;
        display: none;
    }

    .closeWrap {
        padding: 20px 30px 0;
        overflow: hidden;
    }

    .closeWrap img {
        width: 30px;
        height: 30px;
        float: right;
    }

    .muneMain {
        color: #000;
        font-size: 20px;
    }

    .muneMain a {
        color: #000;
        padding: 20px 30px;
        display: block;
    }

    .muneMain p {
        color: #000;
        padding: 20px 30px;
        display: block;
        margin-bottom: 0;
    }

    .muneUl {
        background-color: rgba(18, 103, 255, 0.12);
        padding-left: 0;
    }

    .muneUl li {
        border-bottom: 1px solid #ccc;
    }

    .productUl {
        display: none;
    }

    .serviceUl {
        display: none;
    }

    .aboutUl {
        display: none;
    }

    .pageTop {
        overflow: hidden;
    }

    .topImg {
        width: 200%;
        margin-left: -50%;
    }

    .topBox {
        left: calc(50% - 141px)
    }

    .topTitle {
        font-size: 30px;
    }

    .topCom {
        font-size: 20px;
    }

    .topTxt {
        font-size: 20px;
        top: 80%;
        left: calc(50% - 110px);
    }


    /* .topBox {
        display: none;
    } */

    .LowBox1 {
        padding: 10px 0 0 0;
        display: block;
    }

    .LowLittleBox1 {
        width: auto;
        margin-bottom: 20px;
    }

    .LowLittleBox2 {
        width: auto;
        margin-bottom: 20px;
    }

    .LowBox1 img {
        width: 150px;
    }

    .topLittleText {
        font-size: 16px;
    }

    .Technology {
        display: none;
    }

    .TechnologyMobile {
        display: block;
        width: 100%;
        height: 405px;
        background: url(../img/mobile/LowCode1.png);
        background-size: cover;
    }

    .TechnologyMobile img {
        margin-top: 30%;
    }

    .middleBox {
        display: none;
    }

    .middleBoxMobile {
        display: block;
    }

    .middleBoxMobileMain {
        width: 100%;
        height: 234px;
        background: url(../img/mobile/LowCode3.png);
        background-size: cover;
        display: flex;
        align-items: center;
    }

    .bg1 {
        background: url(../img/mobile/LowCode4.png);
    }

    .bg2 {
        background: url(../img/mobile/LowCode5.png);
    }

    .bg3 {
        background: url(../img/mobile/LowCode6.png);
    }

    .mainWrap {
        height: 80%;
        background: rgba(2, 2, 14, 0.5);
        backdrop-filter: blur(30px);
        display: flex;
    }

    .main {
        color: white;
        font-size: 16px;
        padding-right: 10px;
    }
    .circleWrap{
        padding: 40px 30px;
    }
    .circle{
        position: inherit;
        transform: none;
        transition: none;
        width: 60px;
        height: 60px;
    }
    .circle .problemImg{
        position: inherit;
    }
    .firstP{
        font-size: 32px;
        margin-bottom: 0;
        margin-top: 10px;
    }
    .bg1 .firstP{
        text-align: right;
    }
    .bg1 .main{
        padding-left: 10px;
        padding-right: 0;
    }
    .bg3 .firstP{
        text-align: right;
    }
    .bg3 .main{
        padding-left: 10px;
        padding-right: 0;
    }
}